diff --git a/changelog b/changelog
index 6ff3473..1a831be 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20070913 tpd src/input/Makefile schaum1.input added
+20070913 tpd src/input/schaum1.input added
 20070909 tpd src/algebra/newton.spad included in fffg.spad
 20070909 tpd src/algebra/Makefile remove newton.spad (duplicate)
 20070907 tpd src/algebra/acplot.spad fix PlaneAlgebraicCurvePlot.help NOISE
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 2123928..16a3b98 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -345,6 +345,7 @@ REGRES= algaggr.regress algbrbf.regress  algfacob.regress alist.regress  \
     r21bugsbig.regress r21bugs.regress radff.regress    radix.regress \
     realclos.regress  reclos.regress   repa6.regress    robidoux.regress \
     roman.regress     roots.regress    ruleset.regress  rules.regress \
+    schaum1.regress \
     scherk.regress    scope.regress    segbind.regress  seg.regress \
     series2.regress   series.regress   sersolve.regress set.regress \
     sincosex.regress  sint.regress     skew.regress     slowint.regress \
@@ -601,7 +602,8 @@ FILES= ${OUT}/algaggr.input  ${OUT}/algbrbf.input    ${OUT}/algfacob.input \
        ${OUT}/radff.input    ${OUT}/radix.input      ${OUT}/realclos.input \
        ${OUT}/reclos.input   ${OUT}/regset.input     \
        ${OUT}/robidoux.input ${OUT}/roman.input      ${OUT}/roots.input \
-       ${OUT}/ruleset.input  ${OUT}/rules.input      ${OUT}/saddle.input \
+       ${OUT}/ruleset.input  ${OUT}/rules.input      ${OUT}/schaum1.input \
+       ${OUT}/saddle.input \
        ${OUT}/scherk.input   ${OUT}/scope.input \
        ${OUT}/segbind.input  ${OUT}/seg.input        ${OUT}/series2.input \
        ${OUT}/series.input   ${OUT}/sersolve.input   ${OUT}/set.input \
@@ -879,6 +881,7 @@ DOCFILES= \
   ${DOC}/robidoux.input.dvi    ${DOC}/roman.input.dvi      \
   ${DOC}/romnum.as.dvi         ${DOC}/roots.input.dvi      \
   ${DOC}/ruleset.input.dvi     ${DOC}/rules.input.dvi      \
+  ${DOC}/schaum1.input.dvi \
   ${DOC}/s01eaf.input.dvi      ${DOC}/s13aaf.input.dvi     \
   ${DOC}/s13acf.input.dvi      ${DOC}/s13adf.input.dvi     \
   ${DOC}/s14aaf.input.dvi      ${DOC}/s14abf.input.dvi     \
diff --git a/src/input/schaum1.input.pamphlet b/src/input/schaum1.input.pamphlet
new file mode 100644
index 0000000..8507428
--- /dev/null
+++ b/src/input/schaum1.input.pamphlet
@@ -0,0 +1,1265 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/input schaum1.input}
+\author{Timothy Daly}
+\maketitle
+\eject
+\tableofcontents
+\eject
+\section{\cite{1}:14.59~~~~~$\displaystyle\int{\frac{dx}{ax+b}~dx}$}
+$$\int{\frac{dx}{ax+b}~dx}==\frac{1}{a}~\ln(ax+b)$$
+<<*>>=
+)spool schaum1.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1
+integrate(1/(a*x+b),x)
+--R
+--R        log(a x + b)
+--R   (1)  ------------
+--R              a
+--R                                          Type: Union(Expression Integer,...)
+--E 1
+@
+\section{\cite{1}:14.60~~~~~$\displaystyle\int{\frac{x~dx}{ax+b}}$}
+$$\int{\frac{x~dx}{ax+b}}=\frac{x}{a}-\frac{b}{a^2}~\ln(ax+b)$$
+<<*>>=
+)clear all
+
+--S 2
+integrate(x/(a*x+b),x)
+--R 
+--R
+--R        - b log(a x + b) + a x
+--R   (1)  ----------------------
+--R                   2
+--R                  a
+--R                                          Type: Union(Expression Integer,...)
+--E 2
+@
+\section{\cite{1}:14.61~~~~~$\displaystyle\int{\frac{x^2~dx}{ax+b}}$}
+$$\int{\frac{x^2~dx}{ax+b}}=
+\frac{(ax+b)^2}{2a^3}-\frac{2b(ax+b)}{a^3}+\frac{b^2}{a^3}~\ln(ax+b)$$
+<<*>>=
+)clear all
+
+--S 3
+nn:=integrate(x^2/(a*x+b),x)
+--R
+--R          2                2 2
+--R        2b log(a x + b) + a x  - 2a b x
+--R   (1)  -------------------------------
+--R                        3
+--R                      2a
+--R                                          Type: Union(Expression Integer,...)
+--E 3
+@
+To see that these are the same answers we put the prior result over
+a common fraction:
+<<*>>=
+--S 4
+mm:=((a*x+b)^2-2*2*b*(a*x+b)+2*b^2*log(a*x+b))/(2*a^3)
+--R
+--R          2                2 2              2
+--R        2b log(a x + b) + a x  - 2a b x - 3b
+--R   (2)  -------------------------------------
+--R                           3
+--R                         2a
+--R                                                     Type: Expression Integer
+--E 4
+@
+and we take their difference:
+<<*>>=
+--S 5
+pp:=mm-nn
+--R
+--R            2
+--R          3b
+--R   (3)  - ---
+--R            3
+--R          2a
+--R                                                     Type: Expression Integer
+--E 5
+@
+which is a constant with respect to x, and thus the constant C.
+<<*>>=
+--S 6
+D(pp,x)
+--R
+--R   (4)  0
+--R                                                     Type: Expression Integer
+--E 6
+@
+Alternatively we can differentiate the answers with respect to x:
+<<*>>=
+--S 7
+D(nn,x)
+--R
+--R            2
+--R           x
+--R   (5)  -------
+--R        a x + b
+--R                                                     Type: Expression Integer
+--E 7
+@
+<<*>>=
+--S 8
+D(mm,x)
+--R
+--R            2
+--R           x
+--R   (6)  -------
+--R        a x + b
+--R                                                     Type: Expression Integer
+--E 8
+@
+and see that they are indeed the same.
+
+\section{\cite{1}:14.62~~~~~$\displaystyle\int{\frac{x^3~dx}{ax+b}}$}
+$$\int{\frac{x^3~dx}{ax+b}}=
+\frac{(ax+b)^3}{3a^4}-\frac{3b(ax+b)^2}{2a^4}+
+\frac{3b^2(ax+b)}{a^4}-\frac{b^3}{a^4}~\ln(ax+b)$$
+<<*>>=
+)clear all
+
+--S 9
+aa:=integrate(x^3/(a*x+b),x)
+--R
+--R            3                 3 3     2   2       2
+--R        - 6b log(a x + b) + 2a x  - 3a b x  + 6a b x
+--R   (1)  --------------------------------------------
+--R                               4
+--R                             6a
+--R                                          Type: Union(Expression Integer,...)
+--E 9
+@
+and the book expression is:
+<<*>>=
+--S 10
+bb:=(a*x+b)^3/(3*a^4)-(3*b*(a*x+b)^2)/(2*a^4)+(3*b^2*(a*x+b))/a^4-(b^3/a^4)*log(a*x+b)
+--R
+--R            3                 3 3     2   2       2       3
+--R        - 6b log(a x + b) + 2a x  - 3a b x  + 6a b x + 11b
+--R   (2)  ---------------------------------------------------
+--R                                  4
+--R                                6a
+--R                                                     Type: Expression Integer
+--E 10
+@
+
+The difference is a constant with respect to x:
+<<*>>=
+--S 11
+aa-bb
+--R
+--R             3
+--R          11b
+--R   (3)  - ----
+--R             4
+--R           6a
+--R                                                     Type: Expression Integer
+--E 11
+@
+
+If we differentiate each expression we see
+<<*>>=
+--S 12
+cc:=D(aa,x)
+--R
+--R            3
+--R           x
+--R   (4)  -------
+--R        a x + b
+--R                                                     Type: Expression Integer
+--E 12
+@
+<<*>>=
+--S 13
+dd:=D(bb,x)
+--R
+--R            3
+--R           x
+--R   (5)  -------
+--R        a x + b
+--R                                                     Type: Expression Integer
+--E 13
+@
+<<*>>=
+--S 14
+cc-dd
+--R
+--R   (6)  0
+--R                                                     Type: Expression Integer
+--E 14
+@
+
+\section{\cite{1}:14.63~~~~~$\displaystyle\int{\frac{dx}{x~(ax+b)}}$}
+$$\int{\frac{dx}{x~(ax+b)}}=\frac{1}{b}~\ln\left(\frac{x}{ax+b}\right)$$
+<<*>>=
+)clear all
+
+--S 15
+ff:=integrate(1/(x*(a*x+b)),x)
+--R
+--R        - log(a x + b) + log(x)
+--R   (1)  -----------------------
+--R                   b
+--R                                          Type: Union(Expression Integer,...)
+--E 15
+@
+but we know that $$\log(a)-\log(b)=\log(\frac{a}{b})$$
+
+We can express this fact as a rule:
+<<*>>=
+--S 16
+logdiv:=rule(log(a)-log(b) == log(a/b))
+--R
+--R                                      a
+--I   (2)  - log(b) + log(a) + %I == log(-) + %I
+--R                                      b
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 16
+@
+and use this rule to rewrite the logs into divisions:
+<<*>>=
+--S 17
+logdiv ff
+--R
+--R               x
+--R        log(-------)
+--R            a x + b
+--R   (3)  ------------
+--R              b
+--R                                                     Type: Expression Integer
+--E 17
+@
+so we can see the equivalence directly.
+
+\section{\cite{1}:14.64~~~~~$\displaystyle\int{\frac{dx}{x^2~(ax+b)}}$}
+$$\int{\frac{dx}{x^2~(ax+b)}}=
+-\frac{1}{bx}+\frac{a}{b^2}~\ln\left(\frac{ax+b}{x}\right)$$
+<<*>>=
+)clear all
+
+--S 18
+aa:=integrate(1/(x^2*(a*x+b)),x)
+--R
+--R        a x log(a x + b) - a x log(x) - b
+--R   (1)  ---------------------------------
+--R                        2
+--R                       b x
+--R                                          Type: Union(Expression Integer,...)
+--E 18
+@
+
+The original form given in the book expands to:
+<<*>>=
+--S 19
+bb:=-1/(b*x)+a/b^2*log((a*x+b)/x)
+--R
+--R                a x + b
+--R        a x log(-------) - b
+--R                   x
+--R   (2)  --------------------
+--R                  2
+--R                 b x
+--R                                                     Type: Expression Integer
+--E 19
+@
+
+We can define the following rule to expand log forms:
+<<*>>=
+--S 20
+divlog:=rule(log(a/b) == log(a) - log(b))
+--R
+--R            a
+--R   (3)  log(-) == - log(b) + log(a)
+--R            b
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 20
+@
+and apply it to the book form:
+<<*>>=
+--S 21
+cc:= divlog bb
+--R
+--R        a x log(a x + b) - a x log(x) - b
+--R   (4)  ---------------------------------
+--R                        2
+--R                       b x
+--R                                                     Type: Expression Integer
+--E 21
+@
+and we can now see that the results are identical.
+<<*>>=
+--S 22
+aa-cc
+--R
+--R   (5)  0
+--R                                                     Type: Expression Integer
+--E 22
+@
+
+\section{\cite{1}:14.65~~~~~$\displaystyle\int{\frac{dx}{x^3~(ax+b)}}$}
+$$\int{\frac{dx}{x^3~(ax+b)}}=
+\frac{2ax-b}{2b^2x^2}+\frac{a^2}{b^3}~\ln\left(\frac{x}{ax+b}\right)$$
+<<*>>=
+)clear all
+--S 23
+aa:=integrate(1/(x^3*(a*x+b)),x)
+--R
+--R            2 2                 2 2                   2
+--R        - 2a x log(a x + b) + 2a x log(x) + 2a b x - b
+--R   (1)  -----------------------------------------------
+--R                               3 2
+--R                             2b x
+--R                                          Type: Union(Expression Integer,...)
+--E 23
+@
+
+<<*>>=
+--S 24
+bb:=(2*a*x-b)/(2*b^2*x^2)+a^2/b^3*log(x/(a*x+b))
+--R
+--R          2 2       x                 2
+--R        2a x log(-------) + 2a b x - b
+--R                 a x + b
+--R   (2)  -------------------------------
+--R                       3 2
+--R                     2b x
+--R                                                     Type: Expression Integer
+--E 24
+@
+
+<<*>>=
+--S 25
+divlog:=rule(log(a/b) == log(a) - log(b))
+--R
+--R            a
+--R   (3)  log(-) == - log(b) + log(a)
+--R            b
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 25
+@
+
+<<*>>=
+--S 26
+cc:=divlog bb
+--R
+--R            2 2                 2 2                   2
+--R        - 2a x log(a x + b) + 2a x log(x) + 2a b x - b
+--R   (4)  -----------------------------------------------
+--R                               3 2
+--R                             2b x
+--R                                                     Type: Expression Integer
+--E 26
+@
+
+<<*>>=
+--S 27
+cc-aa
+--R
+--R   (5)  0
+--R                                                     Type: Expression Integer
+--E 27
+@
+
+\section{\cite{1}:14.66~~~~~$\displaystyle\int{\frac{dx}{(ax+b)^2}}$}
+$$\int{\frac{dx}{(ax+b)^2}}=\frac{-1}{a~(ax+b)}$$
+<<*>>=
+)clear all
+
+--S 28
+integrate(1/(a*x+b)^2,x)
+--R
+--R              1
+--R   (1)  - ---------
+--R           2
+--R          a x + a b
+--R                                          Type: Union(Expression Integer,...)
+--E 28
+@
+
+\section{\cite{1}:14.67~~~~~$\displaystyle\int{\frac{x~dx}{(ax+b)^2}}$}
+$$\int{\frac{x~dx}{(ax+b)^2}}=
+\frac{b}{a^2~(ax+b)}+\frac{1}{a^2}~\ln(ax+b)$$
+<<*>>=
+)clear all
+
+--S 29
+integrate(x/(a*x+b)^2,x)
+--R
+--R        (a x + b)log(a x + b) + b
+--R   (1)  -------------------------
+--R                 3     2
+--R                a x + a b
+--R                                          Type: Union(Expression Integer,...)
+--E 29
+@
+and the book form expands to:
+<<*>>=
+--S 30
+b/(a^2*(a*x+b))+(1/a^2)*log(a*x+b)
+--R
+--R        (a x + b)log(a x + b) + b
+--R   (2)  -------------------------
+--R                 3     2
+--R                a x + a b
+--R                                                     Type: Expression Integer
+--E 30
+@
+
+\section{\cite{1}:14.68~~~~~$\displaystyle\int{\frac{x^2~dx}{(ax+b)^2}}$}
+$$\int{\frac{x^2~dx}{(ax+b)^2}}=
+\frac{ax+b}{a^3}-\frac{b^2}{a^3~(ax+b)}
+-\frac{2b}{a^3}~\ln(ax+b)$$
+<<*>>=
+)clear all
+
+--S 31
+aa:=integrate(x^2/(a*x+b)^2,x)
+--R
+--R                      2                 2 2            2
+--R        (- 2a b x - 2b )log(a x + b) + a x  + a b x - b
+--R   (1)  ------------------------------------------------
+--R                             4     3
+--R                            a x + a b
+--R                                          Type: Union(Expression Integer,...)
+--E 31
+@
+and the book expression expands into
+<<*>>=
+--S 32
+bb:=(a*x+b)/a^3-b^2/(a^3*(a*x+b))-((2*b)/a^3)*log(a*x+b)
+--R
+--R                      2                 2 2
+--R        (- 2a b x - 2b )log(a x + b) + a x  + 2a b x
+--R   (2)  --------------------------------------------
+--R                           4     3
+--R                          a x + a b
+--R                                                     Type: Expression Integer
+--E 32
+@
+
+These two expressions differ by the constant
+<<*>>=
+--S 33
+aa-bb
+--R
+--R           b
+--R   (3)  - --
+--R           3
+--R          a
+--R                                                     Type: Expression Integer
+--E 33
+@
+
+These are the same integrands as can be shown by differentiation:
+<<*>>=
+--S 34
+D(aa,x)
+--R
+--R                 2
+--R                x
+--R   (4)  ------------------
+--R         2 2             2
+--R        a x  + 2a b x + b
+--R                                                     Type: Expression Integer
+--E 34
+@
+
+<<*>>=
+--S 35
+D(bb,x)
+--R
+--R                 2
+--R                x
+--R   (5)  ------------------
+--R         2 2             2
+--R        a x  + 2a b x + b
+--R                                                     Type: Expression Integer
+--E 35
+@
+
+\section{\cite{1}:14.69~~~~~$\displaystyle\int{\frac{x^3~dx}{(ax+b)^2}}$}
+$$\int{\frac{x^3~dx}{(ax+b)^2}}=
+\frac{(ax+b)^2}{2a^4}-\frac{3b(ax+b)}{a^4}+\frac{b^3}{a^4(ax+b)}
++\frac{3b^2}{a^4}~\ln(ax+b)$$
+<<*>>=
+)clear all
+
+--S 36
+aa:=integrate(x^3/(a*x+b)^2,x)
+--R
+--R             2      3                 3 3     2   2       2      3
+--R        (6a b x + 6b )log(a x + b) + a x  - 3a b x  - 4a b x + 2b
+--R   (1)  ----------------------------------------------------------
+--R                                  5      4
+--R                                2a x + 2a b
+--R                                          Type: Union(Expression Integer,...)
+--E 36
+@
+
+<<*>>=
+--S 37
+bb:=(a*x+b)^2/(2*a^4)-(3*b*(a*x+b))/a^4+b^3/(a^4*(a*x+b))+(3*b^2/a^4)*log(a*x+b)
+--R
+--R             2      3                 3 3     2   2       2      3
+--R        (6a b x + 6b )log(a x + b) + a x  - 3a b x  - 9a b x - 3b
+--R   (2)  ----------------------------------------------------------
+--R                                  5      4
+--R                                2a x + 2a b
+--R                                                     Type: Expression Integer
+--E 37
+@
+
+<<*>>=
+--S 38
+aa-bb
+--R
+--R          2
+--R        5b
+--R   (3)  ---
+--R          4
+--R        2a
+--R                                                     Type: Expression Integer
+--E 38
+@
+
+<<*>>=
+--S 39
+cc:=D(aa,x)
+--R
+--R                 3
+--R                x
+--R   (4)  ------------------
+--R         2 2             2
+--R        a x  + 2a b x + b
+--R                                                     Type: Expression Integer
+--E 39
+@
+
+<<*>>=
+--S 40
+dd:=D(bb,x)
+--R
+--R                 3
+--R                x
+--R   (5)  ------------------
+--R         2 2             2
+--R        a x  + 2a b x + b
+--R                                                     Type: Expression Integer
+--E 40
+@
+
+<<*>>=
+--S 41
+cc-dd
+--R
+--R   (6)  0
+--R                                                     Type: Expression Integer
+--E 41
+@
+
+\section{\cite{1}:14.70~~~~~$\displaystyle\int{\frac{dx}{x~(ax+b)^2}}$}
+$$\int{\frac{dx}{x~(ax+b)^2}}=
+\frac{1}{b~(ax+b)}+\frac{1}{b^2}~\ln\left(\frac{x}{ax+b}\right)$$
+<<*>>=
+)clear all
+
+--S 42
+aa:=integrate(1/(x*(a*x+b)^2),x)
+--R
+--R        (- a x - b)log(a x + b) + (a x + b)log(x) + b
+--R   (1)  ---------------------------------------------
+--R                             2     3
+--R                          a b x + b
+--R                                          Type: Union(Expression Integer,...)
+--E 42
+@
+and the book says:
+<<*>>=
+--S 43
+bb:=(1/(b*(a*x+b))+(1/b^2)*log(x/(a*x+b)))
+--R
+--R                        x
+--R        (a x + b)log(-------) + b
+--R                     a x + b
+--R   (2)  -------------------------
+--R                   2     3
+--R                a b x + b
+--R                                                     Type: Expression Integer
+--E 43
+@
+
+So we look at the divlog rule again:
+<<*>>=
+--S 44
+divlog:=rule(log(a/b) == log(a) - log(b))
+--R
+--R            a
+--R   (3)  log(-) == - log(b) + log(a)
+--R            b
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 44
+@
+
+we apply it:
+<<*>>=
+--S 45
+cc:=divlog bb
+--R
+--R        (- a x - b)log(a x + b) + (a x + b)log(x) + b
+--R   (4)  ---------------------------------------------
+--R                             2     3
+--R                          a b x + b
+--R                                                     Type: Expression Integer
+--E 45
+@
+and we difference the two to find they are identical:
+<<*>>=
+--S 46
+cc-aa
+--R
+--R   (5)  0
+--R                                                     Type: Expression Integer
+--E 46
+@
+
+\section{\cite{1}:14.71~~~~~$\displaystyle\int{\frac{dx}{x^2~(ax+b)^2}}$}
+$$\int{\frac{dx}{x^2~(ax+b)^2}}=
+\frac{-a}{b^2~(ax+b)}-\frac{1}{b^2~x}+
+\frac{2a}{b^3}~\ln\left(\frac{ax+b}{x}\right)$$
+<<*>>=
+)clear all
+
+--S 47
+aa:=integrate(1/(x^2*(a*x+b)^2),x)
+--R
+--R           2 2                              2 2                             2
+--R        (2a x  + 2a b x)log(a x + b) + (- 2a x  - 2a b x)log(x) - 2a b x - b
+--R   (1)  ---------------------------------------------------------------------
+--R                                        3 2    4
+--R                                     a b x  + b x
+--R                                          Type: Union(Expression Integer,...)
+--E 47
+@
+and the book says:
+<<*>>=
+--S 48
+bb:=(-a/(b^2*(a*x+b)))-(1/(b^2*x))+((2*a)/b^3)*log((a*x+b)/x)
+--R
+--R           2 2              a x + b              2
+--R        (2a x  + 2a b x)log(-------) - 2a b x - b
+--R                               x
+--R   (2)  ------------------------------------------
+--R                          3 2    4
+--R                       a b x  + b x
+--R                                                     Type: Expression Integer
+--E 48
+@
+which calls for our divlog rule:
+<<*>>=
+--S 49
+divlog:=rule(log(a/b) == log(a) - log(b))
+--R
+--R            a
+--R   (3)  log(-) == - log(b) + log(a)
+--R            b
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 49
+@
+which we use to transform the result:
+<<*>>=
+--S 50
+cc:=divlog bb
+--R
+--R           2 2                              2 2                             2
+--R        (2a x  + 2a b x)log(a x + b) + (- 2a x  - 2a b x)log(x) - 2a b x - b
+--R   (4)  ---------------------------------------------------------------------
+--R                                        3 2    4
+--R                                     a b x  + b x
+--R                                                     Type: Expression Integer
+--E 50
+@
+and we show they are identical:
+<<*>>=
+--S 51
+dd:=aa-cc
+--R
+--R   (5)  0
+--R                                                     Type: Expression Integer
+--E 51
+@
+
+\section{\cite{1}:14.72~~~~~$\displaystyle\int{\frac{dx}{x^3~(ax+b)^2}}$}
+$$\int{\frac{dx}{x^3~(ax+b)^2}}=
+-\frac{(ax+b)^2}{2b^4x^2}+\frac{3a(ax+b)}{b^4x}-
+\frac{a^3x}{b^4(ax+b)}-\frac{3a^2}{b^4}~\ln\left(\frac{ax+b}{x}\right)$$
+<<*>>=
+)clear all
+
+--S 52
+aa:=integrate(1/(x^3*(a*x+b)^2),x)
+--R
+--R   (1)
+--R            3 3     2   2                   3 3     2   2            2   2
+--R       (- 6a x  - 6a b x )log(a x + b) + (6a x  + 6a b x )log(x) + 6a b x
+--R     + 
+--R           2     3
+--R       3a b x - b
+--R  /
+--R         4 3     5 2
+--R     2a b x  + 2b x
+--R                                          Type: Union(Expression Integer,...)
+--E 52
+@
+
+<<*>>=
+--S 53
+bb:=-(a*x+b)^2/(2*b^4*x^2)+(3*a*(a*x+b))/(b^4*x)-(a^3*x)/(b^4*(a*x+b))-((3*a^2)/b^4)*log((a*x+b)/x)
+--R
+--R             3 3     2   2     a x + b      3 3     2   2       2     3
+--R        (- 6a x  - 6a b x )log(-------) + 3a x  + 9a b x  + 3a b x - b
+--R                                  x
+--R   (2)  ---------------------------------------------------------------
+--R                                    4 3     5 2
+--R                                2a b x  + 2b x
+--R                                                     Type: Expression Integer
+--E 53
+@
+
+<<*>>=
+--S 54
+divlog:=rule(log(a/b) == log(a) - log(b))
+--R
+--R            a
+--R   (3)  log(-) == - log(b) + log(a)
+--R            b
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 54
+@
+
+<<*>>=
+--S 55
+cc:=divlog bb
+--R
+--R   (4)
+--R            3 3     2   2                   3 3     2   2            3 3
+--R       (- 6a x  - 6a b x )log(a x + b) + (6a x  + 6a b x )log(x) + 3a x
+--R     + 
+--R         2   2       2     3
+--R       9a b x  + 3a b x - b
+--R  /
+--R         4 3     5 2
+--R     2a b x  + 2b x
+--R                                                     Type: Expression Integer
+--E 55
+@
+
+<<*>>=
+--S 56
+cc-aa
+--R
+--R          2
+--R        3a
+--R   (5)  ---
+--R          4
+--R        2b
+--R                                                     Type: Expression Integer
+--E 56
+@
+
+<<*>>=
+--S 57
+dd:=D(aa,x)
+--R
+--R                  1
+--R   (6)  ---------------------
+--R         2 5         4    2 3
+--R        a x  + 2a b x  + b x
+--R                                                     Type: Expression Integer
+--E 57
+@
+
+<<*>>=
+--S 58
+ee:=D(bb,x)
+--R
+--R                  1
+--R   (7)  ---------------------
+--R         2 5         4    2 3
+--R        a x  + 2a b x  + b x
+--R                                                     Type: Expression Integer
+--E 58
+@
+
+<<*>>=
+--S 59
+dd-ee
+--R
+--R   (8)  0
+--R                                                     Type: Expression Integer
+--E 59
+@
+
+\section{\cite{1}:14.73~~~~~$\displaystyle\int{\frac{dx}{(ax+b)^3}}$}
+$$\int{\frac{dx}{(ax+b)^3}}=\frac{-1}{2a(ax+b)^2}$$
+<<*>>=
+)clear all
+
+--S 60
+aa:=integrate(1/(a*x+b)^3,x)
+--R
+--R                     1
+--R   (1)  - ----------------------
+--R            3 2     2          2
+--R          2a x  + 4a b x + 2a b
+--R                                          Type: Union(Expression Integer,...)
+--E 60
+@
+
+{\bf NOTE: }There is a missing factor of $1/a$ in the published book.
+This factor has been inserted here.
+<<*>>=
+--S 61
+bb:=-1/(2*a*(a*x+b)^2)
+--R
+--R                     1
+--R   (2)  - ----------------------
+--R            3 2     2          2
+--R          2a x  + 4a b x + 2a b
+--R                                            Type: Fraction Polynomial Integer
+--E 61
+@
+
+<<*>>=
+--S 62
+aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 62
+@
+
+\section{\cite{1}:14.74~~~~~$\displaystyle\int{\frac{x~dx}{(ax+b)^3}}$}
+$$\int{\frac{x~dx}{(ax+b)^3}}=
+\frac{-1}{a^2(ax+b)}+\frac{b}{2a^2(ax+b)^2}$$
+<<*>>=
+)clear all
+
+--S 63
+aa:=integrate(x/(a*x+b)^3,x)
+--R
+--R              - 2a x - b
+--R   (1)  ----------------------
+--R          4 2     3        2 2
+--R        2a x  + 4a b x + 2a b
+--R                                          Type: Union(Expression Integer,...)
+--E 63
+@
+
+<<*>>=
+--S 64
+bb:=-1/(a^2*(a*x+b))+b/(2*a^2*(a*x+b)^2)
+--R
+--R              - 2a x - b
+--R   (2)  ----------------------
+--R          4 2     3        2 2
+--R        2a x  + 4a b x + 2a b
+--R                                            Type: Fraction Polynomial Integer
+--E 64
+@
+
+<<*>>=
+--S 65
+aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 65
+@
+
+\section{\cite{1}:14.75~~~~~$\displaystyle\int{\frac{x^2~dx}{(ax+b)^3}}$}
+$$\int{\frac{x^2~dx}{(ax+b)^3}}=
+\frac{2b}{a^3(ax+b)}-\frac{b^2}{2a^3(ax+b)^2}+
+\frac{1}{a^3}~\ln(ax+b)$$
+<<*>>=
+)clear all
+
+--S 66
+aa:=integrate(x^2/(a*x+b)^3,x)
+--R
+--R           2 2              2                           2
+--R        (2a x  + 4a b x + 2b )log(a x + b) + 4a b x + 3b
+--R   (1)  -------------------------------------------------
+--R                        5 2     4        3 2
+--R                      2a x  + 4a b x + 2a b
+--R                                          Type: Union(Expression Integer,...)
+--E 66
+@
+
+<<*>>=
+--S 67
+bb:=(2*b)/(a^3*(a*x+b))-(b^2)/(2*a^3*(a*x+b)^2)+1/a^3*log(a*x+b)
+--R
+--R           2 2              2                           2
+--R        (2a x  + 4a b x + 2b )log(a x + b) + 4a b x + 3b
+--R   (2)  -------------------------------------------------
+--R                        5 2     4        3 2
+--R                      2a x  + 4a b x + 2a b
+--R                                                     Type: Expression Integer
+--E 67
+@
+
+<<*>>=
+--S 68
+aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 68
+@
+
+\section{\cite{1}:14.76~~~~~$\displaystyle\int{\frac{x^3~dx}{(ax+b)^3}}$}
+$$\int{\frac{x^3~dx}{(ax+b)^3}}=
+\frac{x}{a^3}-\frac{3b^2}{a^4(ax+b)}+\frac{b^3}{2a^4(ax+b)^2}-
+\frac{3b}{a^4}~\ln(ax+b)$$
+<<*>>=
+)clear all
+--S 69
+aa:=integrate(x^3/(a*x+b)^3,x)
+--R
+--R   (1)
+--R        2   2        2      3                  3 3     2   2       2      3
+--R   (- 6a b x  - 12a b x - 6b )log(a x + b) + 2a x  + 4a b x  - 4a b x - 5b
+--R   ------------------------------------------------------------------------
+--R                              6 2     5        4 2
+--R                            2a x  + 4a b x + 2a b
+--R                                          Type: Union(Expression Integer,...)
+--E 69
+@
+
+<<*>>=
+--S 70
+bb:=(x/a^3)-(3*b^2)/(a^4*(a*x+b))+b^3/(2*a^4*(a*x+b)^2)-(3*b)/a^4*log(a*x+b)
+--R
+--R   (2)
+--R        2   2        2      3                  3 3     2   2       2      3
+--R   (- 6a b x  - 12a b x - 6b )log(a x + b) + 2a x  + 4a b x  - 4a b x - 5b
+--R   ------------------------------------------------------------------------
+--R                              6 2     5        4 2
+--R                            2a x  + 4a b x + 2a b
+--R                                                     Type: Expression Integer
+--E 70
+@
+
+<<*>>=
+--S 71
+aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 71
+@
+
+\section{\cite{1}:14.77~~~~~$\displaystyle\int{\frac{dx}{x(ax+b)^3}}$}
+$$\int{\frac{dx}{x(ax+b)^3}}=
+\frac{3}{2b(ax+b)^2}+\frac{2ax}{2b^2(ax+b)^2}-
+\frac{1}{b^3}*\ln\left(\frac{ax+b}{x}\right)$$
+
+{\bf NOTE: }The equation given in the book is wrong. This is correct.
+
+<<*>>=
+)clear all
+
+--S 72
+aa:=integrate(1/(x*(a*x+b)^3),x)
+--R
+--R   (1)
+--R            2 2              2                   2 2              2
+--R       (- 2a x  - 4a b x - 2b )log(a x + b) + (2a x  + 4a b x + 2b )log(x)
+--R     + 
+--R                  2
+--R       2a b x + 3b
+--R  /
+--R       2 3 2       4      5
+--R     2a b x  + 4a b x + 2b
+--R                                          Type: Union(Expression Integer,...)
+--E 72
+@
+
+<<*>>=
+--S 73
+bb:=3/(2*b*(a*x+b)^2)+(2*a*x)/(2*b^2*(a*x+b)^2)-1/b^3*log((a*x+b)/x)
+--R
+--R             2 2              2     a x + b               2
+--R        (- 2a x  - 4a b x - 2b )log(-------) + 2a b x + 3b
+--R                                       x
+--R   (2)  ---------------------------------------------------
+--R                         2 3 2       4      5
+--R                       2a b x  + 4a b x + 2b
+--R                                                     Type: Expression Integer
+--E 73
+@
+
+<<*>>=
+--S 74
+divlog:=rule(log(a/b) == log(a) - log(b))
+--R
+--R            a
+--R   (3)  log(-) == - log(b) + log(a)
+--R            b
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 74
+@
+
+<<*>>=
+--S 75
+cc:=divlog bb
+--R
+--R   (4)
+--R            2 2              2                   2 2              2
+--R       (- 2a x  - 4a b x - 2b )log(a x + b) + (2a x  + 4a b x + 2b )log(x)
+--R     + 
+--R                  2
+--R       2a b x + 3b
+--R  /
+--R       2 3 2       4      5
+--R     2a b x  + 4a b x + 2b
+--R                                                     Type: Expression Integer
+--E 75
+@
+
+<<*>>=
+--S 76
+aa-cc
+--R
+--R   (5)  0
+--R                                                     Type: Expression Integer
+--E 76
+@
+
+\section{\cite{1}:14.78~~~~~$\displaystyle\int{\frac{dx}{x^2(ax+b)^3}}$}
+$$\int{\frac{dx}{x^2(ax+b)^3}}=
+\frac{-a}{2b^2(ax+b)^2}-\frac{2a}{b^3(ax+b)}-
+\frac{1}{b^3x}+\frac{3a}{b^4}~\ln\left(\frac{ax+b}{x}\right)$$
+<<*>>=
+)clear all
+
+--S 77
+aa:=integrate(1/(x^2*(a*x+b)^3),x)
+--R
+--R   (1)
+--R          3 3      2   2       2
+--R       (6a x  + 12a b x  + 6a b x)log(a x + b)
+--R     + 
+--R            3 3      2   2       2             2   2       2      3
+--R       (- 6a x  - 12a b x  - 6a b x)log(x) - 6a b x  - 9a b x - 2b
+--R  /
+--R       2 4 3       5 2     6
+--R     2a b x  + 4a b x  + 2b x
+--R                                          Type: Union(Expression Integer,...)
+--E 77
+@
+
+<<*>>=
+--S 78
+bb:=-a/(2*b^2*(a*x+b)^2)-(2*a)/(b^3*(a*x+b))-1/(b^3*x)+((3*a)/b^4)*log((a*x+b)/x)
+--R
+--R           3 3      2   2       2      a x + b      2   2       2      3
+--R        (6a x  + 12a b x  + 6a b x)log(-------) - 6a b x  - 9a b x - 2b
+--R                                          x
+--R   (2)  ----------------------------------------------------------------
+--R                              2 4 3       5 2     6
+--R                            2a b x  + 4a b x  + 2b x
+--R                                                     Type: Expression Integer
+--E 78
+@
+
+<<*>>=
+--S 79
+divlog:=rule(log(a/b) == log(a) - log(b))
+--R
+--R            a
+--R   (3)  log(-) == - log(b) + log(a)
+--R            b
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 79
+@
+
+<<*>>=
+--S 80
+cc:=divlog bb
+--R
+--R   (4)
+--R          3 3      2   2       2
+--R       (6a x  + 12a b x  + 6a b x)log(a x + b)
+--R     + 
+--R            3 3      2   2       2             2   2       2      3
+--R       (- 6a x  - 12a b x  - 6a b x)log(x) - 6a b x  - 9a b x - 2b
+--R  /
+--R       2 4 3       5 2     6
+--R     2a b x  + 4a b x  + 2b x
+--R                                                     Type: Expression Integer
+--E 80
+@
+
+<<*>>=
+--S 81
+cc-aa
+--R
+--R   (5)  0
+--R                                                     Type: Expression Integer
+--E 81
+@
+
+\section{\cite{1}:14.79~~~~~$\displaystyle\int{\frac{dx}{x^3(ax+b)^3}}$}
+$$\int{\frac{dx}{x^3(ax+b)^3}}=$$
+$$-\frac{1}{2bx^2(ax+b)^2}+
+\frac{2a}{b^2x(ax+b)^2}+
+\frac{9a^2}{b^3(ax+b)^2}+
+\frac{6a^3x}{b^4(ax+b)^2}-
+\frac{6a^2}{b^5}~\ln\left(\frac{ax+b}{x}\right)$$
+
+{\bf NOTE: }The equation given in the book is wrong. This is correct.
+
+<<*>>=
+)clear all
+
+--S 82
+aa:=integrate(1/(x^3*(a*x+b)^3),x)
+--R
+--R   (1)
+--R             4 4      3   3      2 2 2
+--R       (- 12a x  - 24a b x  - 12a b x )log(a x + b)
+--R     + 
+--R           4 4      3   3      2 2 2             3   3      2 2 2       3     4
+--R       (12a x  + 24a b x  + 12a b x )log(x) + 12a b x  + 18a b x  + 4a b x - b
+--R  /
+--R       2 5 4       6 3     7 2
+--R     2a b x  + 4a b x  + 2b x
+--R                                          Type: Union(Expression Integer,...)
+--E 82
+@
+
+<<*>>=
+--S 83
+bb:=-1/(2*b*x^2*(a*x+b)^2)_
+    +(2*a)/(b^2*x*(a*x+b)^2)_
+    +(9*a^2)/(b^3*(a*x+b)^2)_
+    +(6*a^3*x)/(b^4*(a*x+b)^2)_
+    +(-6*a^2)/b^5*log((a*x+b)/x)
+--R
+--R   (2)
+--R             4 4      3   3      2 2 2     a x + b       3   3      2 2 2
+--R       (- 12a x  - 24a b x  - 12a b x )log(-------) + 12a b x  + 18a b x
+--R                                              x
+--R     + 
+--R           3     4
+--R       4a b x - b
+--R  /
+--R       2 5 4       6 3     7 2
+--R     2a b x  + 4a b x  + 2b x
+--R                                                     Type: Expression Integer
+--E 83
+@
+<<*>>=
+--S 84
+cc:=aa-bb
+--R
+--R            2                 2           2    a x + b
+--R        - 6a log(a x + b) + 6a log(x) + 6a log(-------)
+--R                                                  x
+--R   (3)  -----------------------------------------------
+--R                                5
+--R                               b
+--R                                                     Type: Expression Integer
+--E 84
+@
+
+<<*>>=
+--S 85
+divlog:=rule(log(a/b) == log(a) - log(b))
+--R
+--R            a
+--R   (4)  log(-) == - log(b) + log(a)
+--R            b
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 85
+@
+
+<<*>>=
+--S 86
+divlog cc
+--R
+--R   (5)  0
+--R                                                     Type: Expression Integer
+--E 86
+@
+
+\section{\cite{1}:14.80~~~~~$\displaystyle\int{(ax+b)^n~dx}$}
+$$\int{(ax+b)^n~dx}=
+\frac{(ax+b)^{n+1}}{(n+1)a}{\rm\ provided\ }n \ne -1$$
+<<*>>=
+)clear all
+--S 87
+aa:=integrate((a*x+b)^n,x)
+--R
+--R                   n log(a x + b)
+--R        (a x + b)%e
+--R   (1)  -------------------------
+--R                 a n + a
+--R                                          Type: Union(Expression Integer,...)
+--E 87
+@
+
+<<*>>=
+--S 88
+explog:=rule(%e^(n*log(x)) == x^n)
+--R
+--R          n log(x)     n
+--R   (2)  %e         == x
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 88
+@
+
+<<*>>=
+--S 89 
+explog aa
+--R
+--R                          n
+--R        (a x + b)(a x + b)
+--R   (3)  -------------------
+--R              a n + a
+--R                                                     Type: Expression Integer
+--E 89
+@
+
+\section{\cite{1}:14.81~~~~~$\displaystyle\int{x(ax+b)^n~dx}$}
+$$\int{x(ax+b)^n~dx}=
+\frac{(ax+b)^{n+2}}{(n+2)a^2}-\frac{b(ax+b)^{n+1}}{(n+1)a^2}
+{\rm\ provided\ }n \ne -1,-2$$
+
+\section{\cite{1}:14.82~~~~~$\displaystyle\int{x^2(ax+b)^n~dx}$}
+$$\int{x^2(ax+b)^n~dx}=
+\frac{(ax+b)^{n+2}}{(n+3)a^3}-
+\frac{2b(ax+b)^{n+2}}{(n+2)a^3}+
+\frac{b^2(ax+b)^{n+1}}{(n+1)a^3}
+{\rm\ provided\ }n \ne -1,-2,-3$$
+
+<<*>>=
+)spool
+)lisp (bye)
+@
+
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Spiegel, Murray R.
+{\sl Mathematical Handbook of Formulas and Tables}\\
+Schaum's Outline Series McGraw-Hill 1968 pp60-61
+\end{thebibliography}
+\end{document}
